Maceraya hazır mısın! bir BSD almaz mısın?

Bu konuya katılanlar

Duyuru
* Forum tasarımımız yenilendi.
* FreeBSD 10.4 - RELEASE Final çıktı.
* FreeBSD 11.1 - RELEASE Final çıktı.
Son Mesajlar
Çevrimiçi (0)

Ofis derlemek | BSD

FreeBSD altında Türkçe ofis kurmak için derlemek zorundasınız, Ofis derlemeside bir hayli uzun sürebilmektedir.
Openofficede işler biraz değişti, Apache-openoffice olduktan sonra resmi olarak Türkçe desteği şimdilik yok, ama genede burada ki kuruluma göre AOO Türkçe olarak derlenebiliyor.
Tabii bu derleme gayri-resmi bir yoldur, eski Openoffice dil dosyası kullanılmaktadır.
Calligra'da da aynı AOO  da ki bir durum vardır, o da henüz Türkçe değildir.
Her neyse LibreOffice 3.5.x sürümü Türkçe olarak daha başarılı ve güvenle de Türkçe yapabilirsiniz.
Çekilen dosya boyutuda ciddi oranda azaltılmıştır, 111MB civarındadır.
Derlemek için. 
# cd /usr/ports/editors/libreoffice ; make install clean
Türkçe desteği için.
# cd /usr/ports/editors/libreoffice-tr ; make install clean
Eğer derleme başıyla bittiyse, LO'yu kurulan .tbz paket haline getirmek iyi fikirdir, her zaman kullanabilirsiniz.
# pkg_create -nvb libreoffice-3.5.5
# pkg_create -nvb tr-libreoffice-3.5.5
Parametre açıklamaları ;
-n Herhangi bir soru sorarsa, varsayılan olarak hayır yanıtını ver.
-v Detaylı bilgi ver
-b paket adımları
-R Paket bağımlılıklarını da oluştur
Libreoffice config menü
freebsd-lo.png
** sonda ki sürüm numarası değişebilir, kullanılan sürümü bulmak için
$ pkg_info -Ex libreoffice

Maceraya hazır mısın?  Bir BSD almaz mısın!

Yorumlar

  • # pkg_create -nvb libreoffice-3.5.5
    # pkg_create -nvb tr-libreoffice-3.5.5
    
    ile oluşturduğumuz .tbz paketleri hangi dizinde bulunuyor?
    Bu paketleri yedekleyip daha sonraki yeni kurulumlarda derleme yapmadan kullanabilirmiyiz?
  • ile oluşturduğumuz .tbz paketleri hangi dizinde bulunuyor?

    Konsol hangi dizinde açıldıysa oraya kaydolur.
    Bir sonraki kurulumda bağımlılıklar çok değişmediyse gene kullanabilirsin, sorun olmaz.

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • Şu an için Libreoffice 3.5.6.2 sürümü depolarda paket olarak mevcut. Zamanı olmayan ya da derlemeyi sevmeyen son kullanıcılar için:
    # pkg_add -r libreoffice
    
    ve türkçe dil paketi için:
    # pkg_add -r tr-libreoffice
    
    ile kısa sürede ofisinize kavuşabilirsiniz.
  • Bu paketleri yedekleyip daha sonraki yeni kurulumlarda derleme yapmadan kullanabilirmiyiz?

    PCBSD oluşturduğum libreoffice-3.6.5_2.tbz paketini, FreeBSD 'e kurdum, şu çıktıyı verdi yani ilk önce kurulmadı.
    # pkg_add /mnt/depo/bsd/ofis/libreoffice-3.6.5_2.tbz
    pkg_add: could not find package xmlcharent-0.3_2 !
    pkg_add: could not find package libexttextcat-3.4.0 !
    pkg_add: could not find package hyphen-2.8.6 !
    pkg_add: could not find package docbook-xml-4.5 !
    pkg_add: could not find package docbook-xml-4.4_1 !
    pkg_add: could not find package docbook-xml-4.3 !
    pkg_add: could not find package docbook-5.0_1 !
    pkg_add: could not find package docbook-4.5_2 !
    pkg_add: could not find package docbook-4.4_2 !         
    pkg_add: could not find package docbook-4.3 ! 
    pkg_add: could not find package docbook-4.2 ! 
    pkg_add: could not find package docbook-1.4 ! 
    pkg_add: could not find package lp_solve-5.5.2.0 !      
    pkg_add: could not find package linuxlibertine-g-20120116 !    
    pkg_add: could not find package GentiumBasic-110 !
    pkg_add: could not find package nspr-4.9.4 !
    pkg_add: could not find package liberation-fonts-ttf-2.00.1,1 !
    pkg_add: could not find package nss-3.14.1 !
    pkg_add: could not find package db46-4.6.21.4 !
    pkg_add: could not find package db41-4.1.25_4 !
    pkg_add: could not find package mythes-1.2.3 !
    pkg_add: could not find package graphite2-1.2.0 !
    pkg_add: could not find package libgee-0.6.2.1 !
    pkg_add: could not find package eggdbus-0.6_1 !
    pkg_add: could not find package poppler-glib-0.18.4_2 !
    pkg_add: could not find package libwpd-0.9.6 !
    pkg_add: could not find package libwps-0.2.7 !
    pkg_add: could not find package libwpg-0.2.1_2 !
    pkg_add: could not find package libvisio-0.0.24 !
    pkg_add: could not find package libcdr-0.0.10 !
    
    [hr]
    
    Sonra could not .. dediği bu paketleri önce kurup ardından LO yu kurunca işlem tamam oldu.
    Hazır denemişken not düşeyim dedim :)

    Maceraya hazır mısın?  Bir BSD almaz mısın!
Yorum yapmak için Oturum Açın yada Kayıt Olun .